---
title: Fetch Order Process
slug: api-documentation/fetch-order-process
docTags: 
createdAt: 2026-08-27T16:57:40.129Z
---

{
  "id": "1vYk7iousnEJW6telur47",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/order/{orderId}/process",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/order/{orderId}/process"
      }
    ],
    "name": "Fetch Order Process",
    "description": "<p>This endpoint enables administrators to retrieve a process for a particular order.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>order.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "orderId",
          "type": "string<uuid>",
          "description": "The parameterized order id in the URI.",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-order process returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "OrderProcessDef",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "Unique identifier for order.",
                "format": "uuid"
              },
              {
                "name": "processStates",
                "kind": "required",
                "type": "array",
                "description": "Definitions for order process states.",
                "modelRef": "#/components/schemas/StateDef",
                "customType": "StateDef[]",
                "schema": [
                  {
                    "name": "state",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "transitions",
                    "kind": "required",
                    "type": "array",
                    "description": "Transitions definitions to next states.",
                    "modelRef": "#/components/schemas/StateTransitionDef",
                    "customType": "StateTransitionDef[]",
                    "schema": [
                      {
                        "name": "toState",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "transitionAction",
                        "kind": "optional",
                        "type": "string",
                        "description": "<p>Action/operation for transition to this state.</p>"
                      },
                      {
                        "name": "deprecated",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "Deprecation for state transition."
                      }
                    ]
                  },
                  {
                    "name": "inStateActions",
                    "kind": "required",
                    "type": "array",
                    "description": "<p>Actions/operations, which may be executed in this state.</p>",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "deprecated",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Deprecation for state."
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/OrderProcessDef",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Pr5YGlt9WHi1hWZBJ_cUU",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/order/{orderId}/process \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "gRmZ1hNxvRCVXx5YRVNkc",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/order/{orderId}/process\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "d9Rvli3Oi9p7sSUH8aJ0p",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/order/{orderId}/process\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "iymAmBxuC6aXuygIRNIvE",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/order/{orderId}/process\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Pr5YGlt9WHi1hWZBJ_cUU"
    },
    "results": {
      "languages": [
        {
          "id": "hRR5nstEEXM7GWKXRGwGj",
          "language": "200",
          "code": "// Success-order process returned.\n{\n  \"id\": \"\",\n  \"processStates\": [\n    {\n      \"state\": \"\",\n      \"transitions\": [\n        {\n          \"toState\": \"\",\n          \"transitionAction\": \"\",\n          \"deprecated\": false\n        }\n      ],\n      \"inStateActions\": [\n        \"\"\n      ],\n      \"deprecated\": false\n    }\n  ]\n}"
        },
        {
          "id": "VVzz4FQ0k50m6lChTVvGg",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "VSzN8jFdLcEhNlmSUS8kE",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "hRR5nstEEXM7GWKXRGwGj"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}